<?php

$base = file_get_contents(__DIR__."/src/base.sh");


$dirs = [
    __DIR__.'/src/commands/*.sh',
    __DIR__.'/src/commands/*/*.sh',
    __DIR__.'/src/commands/*/*/*.sh'
];

$codes = [];

foreach($dirs as $dir){
    foreach(glob($dir) as $file){
        $codes[$file] = file_get_contents($file);
    }
}

$code = str_replace("{{ COMMANDS }}", implode("\n", $codes), $base);

try {
    $file = __DIR__.'/wx.tmp';
    $file = fopen($file, "w");
    fwrite($file, $code);
    fclose($file);

    echo "Status: Successful";
} catch (\Error $e) {
    echo "Status: Failed";
}

?>
